Alokai

SapccApiGetSopPaymentResponseRequest

Request parameters for getSopPaymentResponse operation in SapccApi. SapccApiGetSopPaymentResponseRequest

interface SapccApiGetSopPaymentResponseRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiGetSopPaymentResponse
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiGetSopPaymentResponse
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetSopPaymentResponse
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiGetSopPaymentResponse

On this page